# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/xilinx.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Xilinx Zynq Platforms Device Tree Bindings

maintainers:
  - Michal Simek <michal.simek@xilinx.com>

description: |
  Xilinx boards with Zynq-7000 SOC or Zynq UltraScale+ MPSoC

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - enum:
              - adapteva,parallella
              - digilent,zynq-zybo
              - digilent,zynq-zybo-z7
              - xlnx,zynq-cc108
              - xlnx,zynq-zc702
              - xlnx,zynq-zc706
              - xlnx,zynq-zc770-xm010
              - xlnx,zynq-zc770-xm011
              - xlnx,zynq-zc770-xm012
              - xlnx,zynq-zc770-xm013
          - const: xlnx,zynq-7000

      - items:
          - const: avnet,zynq-microzed
          - const: xlnx,zynq-microzed
          - const: xlnx,zynq-7000

      - items:
          - const: avnet,zynq-zed
          - const: xlnx,zynq-zed
          - const: xlnx,zynq-7000

      - items:
          - enum:
              - xlnx,zynqmp-zc1751
          - const: xlnx,zynqmp

      - description: Xilinx internal board zc1232
        items:
          - const: xlnx,zynqmp-zc1232-revA
          - const: xlnx,zynqmp-zc1232
          - const: xlnx,zynqmp

      - description: Xilinx internal board zc1254
        items:
          - const: xlnx,zynqmp-zc1254-revA
          - const: xlnx,zynqmp-zc1254
          - const: xlnx,zynqmp

      - description: Xilinx internal board zc1275
        items:
          - const: xlnx,zynqmp-zc1275-revA
          - const: xlnx,zynqmp-zc1275
          - const: xlnx,zynqmp

      - description: Xilinx 96boards compatible board zcu100
        items:
          - const: xlnx,zynqmp-zcu100-revC
          - const: xlnx,zynqmp-zcu100
          - const: xlnx,zynqmp

      - description: Xilinx 96boards compatible board Ultra96
        items:
          - const: avnet,ultra96-rev1
          - const: avnet,ultra96
          - const: xlnx,zynqmp-zcu100-revC
          - const: xlnx,zynqmp-zcu100
          - const: xlnx,zynqmp

      - description: Xilinx evaluation board zcu102
        items:
          - enum:
              - xlnx,zynqmp-zcu102-revA
              - xlnx,zynqmp-zcu102-revB
              - xlnx,zynqmp-zcu102-rev1.0
          - const: xlnx,zynqmp-zcu102
          - const: xlnx,zynqmp

      - description: Xilinx evaluation board zcu104
        items:
          - enum:
              - xlnx,zynqmp-zcu104-revA
              - xlnx,zynqmp-zcu104-rev1.0
          - const: xlnx,zynqmp-zcu104
          - const: xlnx,zynqmp

      - description: Xilinx evaluation board zcu106
        items:
          - enum:
              - xlnx,zynqmp-zcu106-revA
              - xlnx,zynqmp-zcu106-rev1.0
          - const: xlnx,zynqmp-zcu106
          - const: xlnx,zynqmp

      - description: Xilinx evaluation board zcu111
        items:
          - enum:
              - xlnx,zynqmp-zcu111-revA
              - xlnx,zynqmp-zcu11-rev1.0
          - const: xlnx,zynqmp-zcu111
          - const: xlnx,zynqmp

additionalProperties: true

...
